package com.jkcredit.invoice.hub.service.role;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.role.RoleDto;
import com.jkcredit.invoice.hub.model.vo.role.RoleVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/13 11:51
 * @version: V1.0
 **/
public interface RoleService {
    IPage<RoleVo> getRoles(Page page, RoleDto roleDto);

    void addRole(RoleDto roleDto);

    List<RoleVo> getRoles();

    void deleteRole(Long id);

    void updateRole(RoleDto roleDto);
}
